package com.slodon.b2b2c.dto;

import com.slodon.b2b2c.core.util.FileUrlUtil;
import com.slodon.b2b2c.vo.api.ProductInfoVO;


/**
 * @author sunshihao
 * @version 1.0
 * @description: 数据库查询对象
 * @date 2025/7/30 13:10
 */
public class ProductInfoDto {

    private Long productId;

    private String productName;

    private String productNameCn;

    private String productImage;

    private Integer self;

    private String storeName;

    public ProductInfoVO productConverter() {
        ProductInfoVO vo = new ProductInfoVO();
        vo.setProductId(productId);
        vo.setProductName(productName);
        vo.setProductName(productName);
        vo.setProductNameCn(productNameCn);
        vo.setProductImage(FileUrlUtil.getFileUrl(productImage, null));
        vo.setAuthorName(storeName);
        return vo;
    }
}
